# Generated by Django 4.0.4 on 2022-04-30 09:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
                ('parent', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='djtalk.category')),
            ],
        ),
        migrations.CreateModel(
            name='Channel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255, verbose_name='First name')),
                ('last_name', models.CharField(max_length=255, verbose_name='Last name')),
                ('gender', models.IntegerField(choices=[(0, 'Unspecified'), (1, 'Female'), (2, 'Male')], default=0)),
                ('name_prefix', models.CharField(max_length=255, verbose_name='Salutation')),
                ('username', models.CharField(max_length=255, verbose_name='User name')),
                ('password', models.CharField(max_length=255)),
                ('category', models.ManyToManyField(to='djtalk.category')),
                ('friend', models.ManyToManyField(to='djtalk.user')),
                ('lifePartner', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djtalk.user', verbose_name='Life partner')),
                ('role', models.ManyToManyField(to='djtalk.role')),
            ],
        ),
        migrations.CreateModel(
            name='ContactData',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='djtalk.user')),
                ('email', models.EmailField(max_length=255)),
                ('phone', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='UserInfo',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='djtalk.user')),
                ('signUpDate', models.DateTimeField(verbose_name='Date published')),
                ('signOffDate', models.DateTimeField(verbose_name='Date published')),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('content', models.TextField()),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='djtalk.category')),
                ('tag', models.ManyToManyField(to='djtalk.tag')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djtalk.user')),
            ],
        ),
    ]
