# Generated by Django 4.0.4 on 2022-04-30 09:11

from django.db import migrations

def init_data(apps, schema_editor):
    FEMALE = 1
    MALE = 2
    UNSPECIFIED = 0

    Category = apps.get_model('djtalk', 'Category')
    c1 = Category(label='Tech')
    c1.save()
    c2 = Category(label='Movie')
    c2.save()
    c3 = Category(label='Action', parent = c2)
    c3.save()
    
    Role = apps.get_model('djtalk', 'Role')
    r1 = Role(label='Base user')
    r1.save()
    r2 = Role(label='Pro user')
    r2.save()
    r3 = Role(label='Admin')
    r3.save()
 
    Tag = apps.get_model('djtalk', 'Tag')
    t1 = Tag(label='Computer')
    t1.save()
    t2 = Tag(label='Internet')
    t2.save()
    t3 = Tag(label='China')
    t3.save()
 
    User = apps.get_model('djtalk', 'User')
    u1 = User(first_name = 'Petar', last_name = 'Petrović', gender = MALE, name_prefix = 'prof.')
    u2 = User(first_name = 'Malina', last_name = 'Petrović', gender = FEMALE)
    u3 = User(first_name = 'Jovan', last_name = 'Jovanović', gender = MALE)
    u1.save()
    u2.save()
    u3.save()
    ContactData = apps.get_model('djtalk', 'ContactData')
    u1.contactdata = ContactData(email='petar@example.com', phone='12345678')
    u1.contactdata.save()
    u2.contactdata = ContactData(email='malina@example.com', phone='87654321')
    u2.contactdata.save()    
    u3.contactdata = ContactData(email='jovan@example.com', phone='53627525')
    u3.contactdata.save()
    u1.friend.add(u3)
    u1.lifePartner = u2
    u2.lifePartner = u1
    u1.category.add(c1,c2)
    u1.save()
    u2.save()
    u3.save()
    
    Post = apps.get_model('djtalk', 'Post')
    p1 = Post(user=u1, category=c1, title='Parallel computing', content=
    'Parallel computing is a form of computation in which many calculations are carried out simultaneously, operating on the principle that large problems can often be divided into smaller ones, which are then solved concurrently (\"in parallel\"). There are several different forms of parallel computing: bit-level, instruction level, data, and task parallelism. Parallelism has been employed for many years, mainly in high-performance computing, but interest in it has grown lately due to the physical constraints preventing frequency scaling. As power consumption (and consequently heat generation) by computers has become a concern in recent years, parallel computing has become the dominant paradigm in computer architecture, mainly in the form of multicore processors. Parallel computers can be roughly classified according to the level at which the hardware supports parallelism, with multi-core and multi-processor computers having multiple processing elements within a single machine, while clusters, MPPs, and grids use multiple computers to work on the same task. Specialized parallel computer architectures are sometimes used alongside traditional processors, for accelerating specific tasks. Parallel computer programs are more difficult to write than sequential ones, because concurrency introduces several new classes of potential software bugs, of which race conditions are the most common. Communication and synchronization between the different subtasks are typically some of the greatest obstacles to getting good parallel program performance. The maximum possible speed-up of a program as a result of parallelization is known as Amdahl\'s law.'
    )
    p1.save()
    p2 = Post(user=u1, title='Jurassic Park', content=
    'Jurassic Park is a 1993 American science fiction adventure film directed by Steven Spielberg and produced by Kathleen Kennedy and Gerald R. Molen. It is the first installment in the Jurassic Park franchise, and is based on the 1990 novel of the same name by Michael Crichton and a screenplay written by Crichton and David Koepp. The film is set on the fictional island of Isla Nublar, located off Central America\'s Pacific Coast near Costa Rica. There, wealthy businessman John Hammond and a team of genetic scientists have created a wildlife park of de-extinct dinosaurs. When industrial sabotage leads to a catastrophic shutdown of the park\'s power facilities and security precautions, a small group of visitors and Hammond\'s grandchildren struggle to survive and escape the perilous island. '
    )
    p2.save()
    p3 = Post(user=u2, title='China-Made Zhaoxin CPU Hits Retail Market', content=
    'Zhaoxin, based in Shanghai, has its domestically produced KX-6000-series processors ready for prime time. The x86 chips are already listed on Chinese e-commerce website Taobao and are scheduled to launch as soon as March of this year. The KaiXian KX-U6780A is based on the LuJiaZui microarchitecture. It\'s rated with a 70W TDP (thermal design power) and sports eight cores and eight threads clocked at 2.7 GHz.'
    )
    p3.save()
    p1.tag.add(t1,t2,t3)
    p1.save()
    p3.tag.add(t3)
    p3.save()

class Migration(migrations.Migration):

    dependencies = [
        ('djtalk', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(init_data),
    ]
